package container

import (
	"git.frostfs.info/TrueCloudLab/frostfs-api-go/v2/refs"
	cid "git.frostfs.info/TrueCloudLab/frostfs-sdk-go/container/id"
	"git.frostfs.info/TrueCloudLab/frostfs-sdk-go/session"
)

// RemovalWitness groups the information required
// to prove and verify the removal of a container.
type RemovalWitness struct {
	// ContainerID returns the identifier of the container
	// to be removed.
	ContainerID cid.ID

	// Signature the signature of the container identifier.
	Signature *refs.Signature

	// SessionToken the token of the session within
	// which the container was removed.
	SessionToken *session.Container
}
